Basilisk
API referenceReference

Audit

POST
/v1/audit

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/audit" \  -H "Content-Type: application/json" \  -d '{}'
{  "advisories": [    {      "canonical_id": "string",      "qualification": {        "affected_platform_total": 0,        "affected_platforms": [          "string"        ],        "affected_platforms_truncated": true,        "available_artifact_total": 0,        "available_artifacts": [          {            "build": "string",            "build_number": 0,            "filename": "string",            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "md5": "string",            "sha256": "string",            "subdir": "string",            "version": "string",            "created_by_operation_id": "4483c1de-89cb-499d-9778-d636e5da439e",            "updated_by_operation_id": "77987b37-55ae-485e-80aa-51b00ec04cea",            "verdict": "globally_affected"          }        ],        "available_artifacts_truncated": true,        "build_patch_status": "unknown",        "complete": true,        "reasons": [          "selection_unavailable"        ],        "resolution": {          "reason": "unsupported_channel",          "status": "not_covered"        },        "selection": {          "build": "string",          "platform": "string",          "version": "string"        },        "source_total": 0,        "sources": [          {            "artifact_snapshot_generated_at": "2019-08-24T14:15:22Z",            "artifact_snapshot_generation_id": "d058e395-0a94-4f4b-8e16-707d91c4ab38",            "artifact_snapshot_hash": "string",            "artifact_snapshot_operation_id": "b1c545af-7c62-49c9-82da-3d07f6b98d0b",            "current": true,            "enrichment": null,            "evaluated_mapping_source_hash": "string",            "evaluated_mapping_updated_at": "2019-08-24T14:15:22Z",            "evaluated_source_generation_id": "801a05b5-7e8b-4730-b820-30444a497f6c",            "evaluated_source_updated_at": "2019-08-24T14:15:22Z",            "execution_generation_id": "c3525117-c643-4bfe-ae39-3204f8a42ad5",            "execution_validation_generation_id": "b3c109f0-a8e3-4fbb-962d-60b2f1ffcbc1",            "generated_at": "2019-08-24T14:15:22Z",            "generated_by_operation_id": "e1558f1a-43d8-4946-9944-1e77261298f6",            "generation_id": "a3c889df-e7ae-4ae9-9838-8884129ade5e",            "matched_identity": "string",            "matcher": "string",            "matcher_version": "string",            "qualifiers": null,            "raw_criteria": "string",            "release_generation_id": "a8a2920f-e163-470d-81b8-72f923876b66",            "source_advisory_id": "string",            "source_affected_index": 0,            "source_evaluation_generation_id": "76b344ce-e659-46f2-bca6-9e933f0d7ae9",            "source_hash": "string",            "source_record_created_by_operation_id": "8730483d-c72c-44fb-bdec-5c76622a9dca",            "source_record_id": "a6913196-098d-48b4-8f7a-f93b85dce156",            "verdict": "globally_affected"          }        ],        "sources_truncated": true,        "verdict": "globally_affected"      }    }  ],  "advisories_truncated": true,  "advisory_total": 0,  "complete": true,  "resolution": null}